package de.ivu.elect.business.ergebnis.control;

import java.util.Collection;

import de.ivu.elect.business.ergebnis.entity.ErgebnisberechnungStatus;
import de.ivu.elect.business.wahl.control.AbstractWahlParameterInit;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.WahlParameter;
import de.ivu.elect.business.wahl.entity.Wahltermin;


import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.ERGEBNISBERECHNUNG_STATUS;
import static java.util.Arrays.asList;

public class ErgebnisberechnungWahlParameterInit extends AbstractWahlParameterInit {

  public ErgebnisberechnungWahlParameterInit() {
    super();
  }

  @Override
  public Collection<WahlParameter> createDefaultParameters(Wahltermin wahltermin, Wahl wahl) {
    return asList( //
      create(ERGEBNISBERECHNUNG_STATUS, ErgebnisberechnungStatus.AKTIVIERT.name())
    );
  }

}
